Subject: Re: Multiple projects with gitweb

From: Jakub Narebski <[email-masked]>
Date: Wed, 13 Jul 2011 09:17:23 -0700 (PDT)

<[email-masked]> writes:

> Hello,
> 
> I'm trying to have this with GitWeb.
> I have a repo under /project1 and a repo under /project2 on my Git server.
> I would like to access these 2 repo via Gitweb like that: 
> http://mygitserver/project1 and http://mygitserver/project2.
>
> The problem is that gitweb.conf permit to use just one repo
> with directive $projectroot.

Actually it is not true.  The full path to repository is

  "$projectroot/$project"

so if you really have both repositories in top directory, try using

  our $projectroot = "/";

Of course to have "http://mygitserver/project1" as URL you have to do
some URL rewriting; I think there is example either in gitweb/README
or in gitweb/INSTALL.

HTH
-- 
Jakub Narębski